smtp-mail-0.1.4.6: Simple email sending via SMTP

Safe Haskell | None
Language | Haskell98

Network.Mail.SMTP.Types

Contents

- Auth types (re-exports)
- Network.Mail.Mime types (re-exports)

Synopsis

- data Command
  - = HELO ByteString
  - | EHLO ByteString
  - | MAIL ByteString
  - | RCPT ByteString
  - | DATA ByteString
  - | EXPN ByteString
  - | VRFY ByteString
  - | HELP ByteString
  - | AUTH AuthType UserName Password
  - | NOOP
  - | RSET
  - | QUIT
- type ReplyCode = Int
- data Response
  - = Ok
  - | SystemStatus
  - | HelpMessage
  - | ServiceReady
  - | ServiceClosing
  - | UserNotLocal
  - | CannotVerify
  - | StartMailInput
  - | ServiceNotAvailable
  - | MailboxUnavailable
  - | ErrorInProcessing
  - | InsufficientSystemStorage
  - | SyntaxError
  - | ParameterError
  - | CommandNotImplemented
  - | BadSequence
  - | ParameterNotImplemented
  - | MailboxUnavailableError
  - | UserNotLocalError
  - | ExceededStorage
  - | MailboxNotAllowed
  - | TransactionFailed
- type UserName = String
- type Password = String
- data AuthType
  - = PLAIN
  - | LOGIN
  - | CRAM_MD5
- data Address :: * = Address {
  - addressName :: Maybe Text
  - addressEmail :: Text
  }

# Documentation

data Command Source #

Constructors

HELO ByteString |
EHLO ByteString |
MAIL ByteString |
RCPT ByteString |
DATA ByteString |
EXPN ByteString |
VRFY ByteString |
HELP ByteString |
AUTH AuthType UserName Password |
NOOP |
RSET |
QUIT |

Instances

Eq Command Source # |
Methods (==) :: Command -> Command -> Bool # (/=) :: Command -> Command -> Bool #
Show Command Source # |
Methods showsPrec :: Int -> Command -> ShowS # show :: Command -> String # showList :: [Command] -> ShowS #

type ReplyCode = Int Source #

data Response Source #

Constructors

Ok |
SystemStatus |
HelpMessage |
ServiceReady |
ServiceClosing |
UserNotLocal |
CannotVerify |
StartMailInput |
ServiceNotAvailable |
MailboxUnavailable |
ErrorInProcessing |
InsufficientSystemStorage |
SyntaxError |
ParameterError |
CommandNotImplemented |
BadSequence |
ParameterNotImplemented |
MailboxUnavailableError |
UserNotLocalError |
ExceededStorage |
MailboxNotAllowed |
TransactionFailed |

Instances

Eq Response Source # |
Methods (==) :: Response -> Response -> Bool # (/=) :: Response -> Response -> Bool #
Show Response Source # |
Methods showsPrec :: Int -> Response -> ShowS # show :: Response -> String # showList :: [Response] -> ShowS #

# Auth types (re-exports)

type UserName = String Source #

type Password = String Source #

data AuthType Source #

Constructors

PLAIN |
LOGIN |
CRAM_MD5 |

Instances

Eq AuthType Source # |
Methods (==) :: AuthType -> AuthType -> Bool # (/=) :: AuthType -> AuthType -> Bool #
Show AuthType Source # |
Methods showsPrec :: Int -> AuthType -> ShowS # show :: AuthType -> String # showList :: [AuthType] -> ShowS #

# Network.Mail.Mime types (re-exports)

data Address :: * #

Constructors

Address |

Fields

- addressName :: Maybe Text
- addressEmail :: Text

Instances

Eq Address |
Methods (==) :: Address -> Address -> Bool # (/=) :: Address -> Address -> Bool #
Show Address |
Methods showsPrec :: Int -> Address -> ShowS # show :: Address -> String # showList :: [Address] -> ShowS #
IsString Address |
Methods fromString :: String -> Address #